> ## Documentation Index
> Fetch the complete documentation index at: https://about.sendforsign.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Email notifications

> Enable or disable email notifications.

Email notifications are updated for the specific client key you use when updating the settings.

By default, Sendforsign sends email notifications for various types of events: signing and approval
requests, contract signed, and contract approved. You can disable these notifications if you prefer to use
your own email vendor. To disable notifications for `contract.approved` and `contract.signed`,
use the request provided below.

### Body parameters

<ParamField body="data" type="object" required>
  <Expandable title="child attribute">
    <ParamField body="type" type="string" required>
      Settings type.
    </ParamField>

    <ParamField body="clientKey" type="string" required>
      Key of the client.
    </ParamField>

    <ParamField body="notification" type="object" required>
      Structure.

      <Expandable title="child attribute">
        <ParamField body="approved" type="boolean">
          Settings to change: send email notifications on `contract.approved`.
        </ParamField>

        <ParamField body="signed" type="boolean">
          Settings to change: send email notifications on `contract.signed`.
        </ParamField>
      </Expandable>
    </ParamField>
  </Expandable>
</ParamField>

### Response

<ResponseField name="code" type="string">
  The code of the answer.
</ResponseField>

<ResponseField name="message" type="string">
  The message of the answer.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST 'https://api.sendforsign.com/api/settings' \
       -H 'X-Sendforsign-Key: YOUR_API_KEY' \
       -H 'Content-Type: application/json' \
       -d '{
      "data": {
          "type": "email_notifications",
          "clientKey": "YOUR_CLIENT_KEY",
          "notification": 
              {
                  "approved": false,
                  "signed": false
              }
      }
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "code": "201",
      "message": "Settings updated"
  }
  ```
</ResponseExample>
